# RSL_get_ray_above
RSL_get_ray_below

### Synopsis

#include "rsl.h"
Ray *RSL_get_ray_above(Volume *v, Ray *current_ray);
Ray *RSL_get_ray_below(Volume *v, Ray *current_ray);

###

Description

Returns a Ray that is either above or below the current_ray. The elevation angle is extracted from the current_ray and 1.0 is added or subtracted to/from it and the function RSL_get_sweep is called. This algorithm is simple and may not be robust enough; it has already been inadequate for the GT quality control.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_ray_from_sweep, RSL_get_first_ray_of_sweep, RSL_get_first_ray_of_volume, RSL_get_ray, RSL_get_sweep.

Author: John H. Merritt